Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.model.bean
Class RPCBean

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.RemoteServiceServlet
                  org.eclipse.higgins.ics.model.bean.RPCBean

All Implemented Interfaces:
  ICMService, com.google.gwt.user.client.rpc.RemoteService, Serializable, com.google.gwt.user.server.rpc.SerializationPolicyProvider, javax.servlet.Servlet, javax.servlet.ServletConfig

public class RPCBean
extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements ICMService

See Also:
  Serialized Form

Constructor Summary
`RPCBean()`

Method Summary
`GWTResponse` | `clearCardCredential(String userId, String password, String cuid)`
`GWTResponse` | `clearCardHistory(String userId, String password, String cuid)`
`GWTResponse` | `createCategory(Category category, String userIdentifier, String userPassword)`
`GWTResponse` | `createDuplicateCard(String cuid, String cardName, String pinCode, String userIdentifier, String userPassword)`
`GWTResponse` | `createICard(CardTemplate cardTemplate, String userIdentifier, String userPassword)`
`GWTResponse` | `deleteAllCard(String userIdentifier, String userPassword)`
`GWTResponse` | `deleteCategory(Category category, String userIdentifier, String userPassword)`
`GWTResponse` | `deleteICard(String cuid, String userIdentifier, String userPassword)`
`GWTResponse` | `deleteUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`GWTResponse` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode)`
`GWTResponse` | `exportICards(String userId, String password, String formatID, String[] cards, CardCredential credential)`
`GWTResponse` | `getCardByCredential(Card card, String userIdentifier, String userPassword)`
`GWTResponse` | `getCardById(String cuid, String userIdentifier, String userPassword)`
`GWTResponse` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection)`
`GWTResponse` | `getCardInformation(String cuid, String userIdentifier, String userPassword, int size)`
`GWTResponse` | `getCurrentState(String userId, String userPassword)`
`GWTResponse` | `getDefaultPCard(String userId, String userPassword)`
`GWTResponse` | `getICardsByFormat(String userId, String password, String formatID)`
`Card[]` | `getImportedCard()`
`GWTResponse` | `getMRU(String userId, String password)`
`GWTResponse` | `getOutputFormats(String userId, String password)`
`GWTResponse` | `getPCardTemplate(String userIdentifier, String userPassword)`
`FormatDescriptor` | `getRestoreData()`
`GWTResponse` | `getUserProfile()`
`GWTResponse` | `modifyCard(Card card, String userIdentifier, String userPassword)`
`GWTResponse` | `modifyCategories(String userId, String password, Category[] categories)`
`GWTResponse` | `modifyCategory(Category category, String userIdentifier, String userPassword)`
`GWTResponse` | `modifyUserProfile(UserProfile userProfile)`
`GWTResponse` | `putCredentialForRestore(FormatDescriptor descriptor, String userIdentifier, String userPassword)`
`GWTResponse` | `putImageForIE(String image)`
`GWTResponse` | `resetPinCode(Card card, String userIdentifier, String userPassword)`
`GWTResponse` | `setCardCredential(String userId, String password, String cuid, CardCredential tokenCredential)`
`GWTResponse` | `setDefaultPCard(String userId, String userPassword, String cardUid)`
`GWTResponse` | `setPinCode(Card card, String pinCode, String userIdentifier, String userPassword)`
`GWTResponse` | `setUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`GWTResponse` | `updateClaimAcrossCards(String userId, String password, String[] claimType, String[] claimValue, CardUpdate[] cardUpdate)`
`GWTResponse` | `updateICards(String userId, String password, Card[] cards)`

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`doPost, getSerializationPolicy, processCall`

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCBean

    public RPCBean()

Method Detail

### getCurrentState

    public GWTResponse getCurrentState(String userId,
                                       String userPassword)

  Specified by:
    `getCurrentState` in interface `ICMService`
  Parameters:
    `userId` -
    `userPassword` -
  Returns:

### modifyUserProfile

    public GWTResponse modifyUserProfile(UserProfile userProfile)

  Specified by:
    `modifyUserProfile` in interface `ICMService`
  Parameters:
    `userProfile` -
  Returns:

### modifyCard

    public GWTResponse modifyCard(Card card,
                                  String userIdentifier,
                                  String userPassword)

  Specified by:
    `modifyCard` in interface `ICMService`
  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### createICard

    public GWTResponse createICard(CardTemplate cardTemplate,
                                   String userIdentifier,
                                   String userPassword)

  Specified by:
    `createICard` in interface `ICMService`
  Parameters:
    `cardTemplate` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### getPCardTemplate

    public GWTResponse getPCardTemplate(String userIdentifier,
                                        String userPassword)

  Specified by:
    `getPCardTemplate` in interface `ICMService`
  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteICard

    public GWTResponse deleteICard(String cuid,
                                   String userIdentifier,
                                   String userPassword)

  Specified by:
    `deleteICard` in interface `ICMService`
  Parameters:
    `cuid` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### getCardByCredential

    public GWTResponse getCardByCredential(Card card,
                                           String userIdentifier,
                                           String userPassword)

  Specified by:
    `getCardByCredential` in interface `ICMService`
  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### setCardCredential

    public GWTResponse setCardCredential(String userId,
                                         String password,
                                         String cuid,
                                         CardCredential tokenCredential)

  Specified by:
    `setCardCredential` in interface `ICMService`

### setPinCode

    public GWTResponse setPinCode(Card card,
                                  String pinCode,
                                  String userIdentifier,
                                  String userPassword)

  Specified by:
    `setPinCode` in interface `ICMService`
  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### editPinCode

    public GWTResponse editPinCode(String userId,
                                   String password,
                                   String cuid,
                                   String oldPinCode,
                                   String newPinCode)

  Specified by:
    `editPinCode` in interface `ICMService`

### resetPinCode

    public GWTResponse resetPinCode(Card card,
                                    String userIdentifier,
                                    String userPassword)

  Specified by:
    `resetPinCode` in interface `ICMService`
  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### setDefaultPCard

    public GWTResponse setDefaultPCard(String userId,
                                       String userPassword,
                                       String cardUid)

  Specified by:
    `setDefaultPCard` in interface `ICMService`

### getDefaultPCard

    public GWTResponse getDefaultPCard(String userId,
                                       String userPassword)

  Specified by:
    `getDefaultPCard` in interface `ICMService`

### createDuplicateCard

    public GWTResponse createDuplicateCard(String cuid,
                                           String cardName,
                                           String pinCode,
                                           String userIdentifier,
                                           String userPassword)

  Specified by:
    `createDuplicateCard` in interface `ICMService`
  Parameters:
    `cuid` -
    `cardName` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteAllCard

    public GWTResponse deleteAllCard(String userIdentifier,
                                     String userPassword)

  Specified by:
    `deleteAllCard` in interface `ICMService`
  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### getUserProfile

    public GWTResponse getUserProfile()

  Specified by:
    `getUserProfile` in interface `ICMService`
  Returns:

### getImportedCard

    public Card[] getImportedCard()

  Specified by:
    `getImportedCard` in interface `ICMService`

### getRestoreData

    public FormatDescriptor getRestoreData()

  Specified by:
    `getRestoreData` in interface `ICMService`

### createCategory

    public GWTResponse createCategory(Category category,
                                      String userIdentifier,
                                      String userPassword)

  Specified by:
    `createCategory` in interface `ICMService`
  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyCategory

    public GWTResponse modifyCategory(Category category,
                                      String userIdentifier,
                                      String userPassword)

  Specified by:
    `modifyCategory` in interface `ICMService`
  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteCategory

    public GWTResponse deleteCategory(Category category,
                                      String userIdentifier,
                                      String userPassword)

  Specified by:
    `deleteCategory` in interface `ICMService`
  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### putImageForIE

    public GWTResponse putImageForIE(String image)

  Specified by:
    `putImageForIE` in interface `ICMService`

### getCardInformation

    public GWTResponse getCardInformation(String cuid,
                                          String userIdentifier,
                                          String userPassword,
                                          int size)

  Specified by:
    `getCardInformation` in interface `ICMService`

### setUrlsCardRelation

    public GWTResponse setUrlsCardRelation(String userId,
                                           String password,
                                           String cuid,
                                           String[] urls)

  Specified by:
    `setUrlsCardRelation` in interface `ICMService`

### deleteUrlsCardRelation

    public GWTResponse deleteUrlsCardRelation(String userId,
                                              String password,
                                              String cuid,
                                              String[] urls)

  Specified by:
    `deleteUrlsCardRelation` in interface `ICMService`

### clearCardHistory

    public GWTResponse clearCardHistory(String userId,
                                        String password,
                                        String cuid)

  Specified by:
    `clearCardHistory` in interface `ICMService`

### clearCardCredential

    public GWTResponse clearCardCredential(String userId,
                                           String password,
                                           String cuid)

  Specified by:
    `clearCardCredential` in interface `ICMService`

### modifyCategories

    public GWTResponse modifyCategories(String userId,
                                        String password,
                                        Category[] categories)

  Specified by:
    `modifyCategories` in interface `ICMService`

### getCardById

    public GWTResponse getCardById(String cuid,
                                   String userIdentifier,
                                   String userPassword)

  Specified by:
    `getCardById` in interface `ICMService`

### putCredentialForRestore

    public GWTResponse putCredentialForRestore(FormatDescriptor descriptor,
                                               String userIdentifier,
                                               String userPassword)

  Specified by:
    `putCredentialForRestore` in interface `ICMService`

### getCardHistory

    public GWTResponse getCardHistory(String userId,
                                      String password,
                                      String cuid,
                                      int startFrom,
                                      int capacity,
                                      String orderBy,
                                      String orderDirection)

  Specified by:
    `getCardHistory` in interface `ICMService`

### getOutputFormats

    public GWTResponse getOutputFormats(String userId,
                                        String password)

  Specified by:
    `getOutputFormats` in interface `ICMService`

### getICardsByFormat

    public GWTResponse getICardsByFormat(String userId,
                                         String password,
                                         String formatID)

  Specified by:
    `getICardsByFormat` in interface `ICMService`

### exportICards

    public GWTResponse exportICards(String userId,
                                    String password,
                                    String formatID,
                                    String[] cards,
                                    CardCredential credential)

  Specified by:
    `exportICards` in interface `ICMService`

### getMRU

    public GWTResponse getMRU(String userId,
                              String password)

  Specified by:
    `getMRU` in interface `ICMService`

### updateClaimAcrossCards

    public GWTResponse updateClaimAcrossCards(String userId,
                                              String password,
                                              String[] claimType,
                                              String[] claimValue,
                                              CardUpdate[] cardUpdate)

  Specified by:
    `updateClaimAcrossCards` in interface `ICMService`

### updateICards

    public GWTResponse updateICards(String userId,
                                    String password,
                                    Card[] cards)

  Specified by:
    `updateICards` in interface `ICMService`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD